## stanford-shared-email-request-web 30

=== debian/changelog ===
stanford-shared-email-request-web (30) unstable; urgency=medium

  * For user-entered descriptions replace all white space with the space
    character (especially CRs and LFs) and compress successive space
    characters to a single space character.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Fri, 10 Oct 2025 15:17:37 -0700

stanford-shared-email-request-web (29) unstable; urgency=medium

  * [shared-email-manage] Add the unapprove action, improve the help screen, fix a bug
    in the show action.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Thu, 20 Jun 2024 09:20:38 -0700

stanford-shared-email-request-web (28) unstable; urgency=medium

  * [admin/index.cgi] When the admin page tries to create the Stanford Workgroup, if the
    workgroup already exists the Perl code raises an exception and dies. So, only create
    the workgroup if it does not already exist.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Wed, 19 Jun 2024 14:28:57 -0700

stanford-shared-email-request-web (27) unstable; urgency=medium

  * Link to the Stanford University Org Code Hierarchy has changed. It used to be
    open to the world but it has changed to one only viewable to those who can
    authenticate.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Tue, 15 Aug 2023 13:12:51 -0700

stanford-shared-email-request-web (26) unstable; urgency=medium

  * Fix now-broken link to Stanford University Org Code Hierarchy
    (ServiceNow ticket INC01696259).

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Tue, 19 Jul 2022 09:24:07 -0700

stanford-shared-email-request-web (25) unstable; urgency=medium

  * [shared-email-create-cal-wg] Strip out workgroup linkage code from
    shared-email-create-cal-wg; instead set wgrp_status to 1 on
    successful workgroup create.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Tue, 19 Apr 2022 11:57:44 -0700

stanford-shared-email-request-web (24) unstable; urgency=medium

  * Add new configuration option to skip workgroup linkage.
  * new-list.pl: ignore the "when_moved" field when returning accounts that
    need to be created.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Sun, 20 Mar 2022 20:27:52 -0700

stanford-shared-email-request-web (23) unstable; urgency=medium

  * Fix small spelling typo in e-mail templates.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Fri, 01 Oct 2021 06:04:21 -0700

stanford-shared-email-request-web (22) unstable; urgency=medium

  * The remctl call that creates the functional account will fail if there
    is a duplicate sunetid in the list of owner sunetids. So, we add a new
    check in the validate_owners routine that alerts the submitter when
    there is a duplicate in the owners list. Thanks to Sangeetha Chowan
    for helping me debug this issue. See also ServiceNow INC01511459

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Fri, 17 Sep 2021 14:27:22 -0700

stanford-shared-email-request-web (20) unstable; urgency=medium

  * In the function "validate_description" only allow description text
    that contains alphanumerics, space characters, and punctuation. We do
    this because if someone submits a description with non-ASCII Unicode
    characters (e.g., an em-dash), MySQL will barf. See also ServiceNow
    ticket INC01511459.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Wed, 08 Sep 2021 18:26:41 -0700

stanford-shared-email-request-web (19) unstable; urgency=medium

  * [shared-email-mange] Convert --help and --manual from options to
    actions, e.g., instead of "shared-email-manage --help" do
    "shared-email-manage help".

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Sat, 04 Sep 2021 09:48:35 -0700

stanford-shared-email-request-web (18) unstable; urgency=medium

  * Fix bug in CONFIG attribute name and member populate when workgroup is
    created.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Fri, 03 Sep 2021 11:14:32 -0700

stanford-shared-email-request-web (17) unstable; urgency=medium

  * Make navigation between admin and main page easier.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Tue, 10 Aug 2021 07:17:11 -0700

stanford-shared-email-request-web (16) unstable; urgency=medium

  * Add a maintenance page.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Mon, 09 Aug 2021 11:47:28 -0700

stanford-shared-email-request-web (15) unstable; urgency=medium

  * Migrate Jason Cowart's PHP scripts used by the Exchange server. Convert to Perl.
    These scripts live in the "/remote" endpoint.
  * Add new script "shared-email-manage" that allows us to manage some of
    the database data via the command-line.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Fri, 23 Jul 2021 15:27:29 -0700

stanford-shared-email-request-web (14) unstable; urgency=medium

  * Add some progress information in usr/sbin/shared-email-link-jobs.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Mon, 19 Jul 2021 09:09:42 -0700

stanford-shared-email-request-web (13) unstable; urgency=medium

  * Fix documentation section of shared-email-link.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Tue, 29 Jun 2021 09:55:04 -0700

stanford-shared-email-request-web (12) unstable; urgency=medium

  * Add missing semicolon in linkage script.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Tue, 29 Jun 2021 09:47:01 -0700

stanford-shared-email-request-web (11) unstable; urgency=medium

  * Change names of scripts.

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Tue, 29 Jun 2021 09:06:43 -0700

stanford-shared-email-request-web (10) unstable; urgency=medium

  * Add shared-email-link-jobs wrapper script (allows us to more easily
    control which linkage jobs to run).

 -- Adam Henry Lewenberg <adamhl@stanford.edu>  Tue, 29 Jun 2021 08:23:54 -0700

stanford-shared-email-request-web (9) unstable; urgency=medium

  * Fixed some e-mail wordings as per Jason Cowart.
  * Restrict number of characters in Description field to 255.
  * Add some options to create-cal-wg.pl to make it easier to test with it.


