=== debian/control ===
Source: stanford-shared-email-request-web
Section: web
Priority: optional
Maintainer: Adam Henry Lewenberg <adamhl@stanford.edu>
Build-Depends: debhelper (>= 10), perl, rsync
Homepage: https://code.stanford.edu/orange/stanford-shared-email-request-web
Standards-Version: 4.3.0

Package: stanford-shared-email-request-web
Architecture: all
Depends: ${misc:Depends},
 libauthen-sasl-perl,
 libcgi-pm-perl,
 libcgi-formbuilder-perl,
 libconfig-simple-perl,
 libdbi-perl,
 libdbd-mysql-perl,
 libdbix-class-perl,
 libemail-valid-perl,
 libgetopt-long-descriptive-perl,
 liblog-log4perl-perl,
 libnet-remctl-perl,
 libreadonly-perl,
 libregexp-common-perl,
 libsql-translator-perl,
 libstanford-directory-perl (>= 3.2.1),
 libtemplate-perl,
 libtry-tiny-perl,
 libyaml-tiny-perl,
 libappconfig-perl,
 libstanford-orange-util-perl,
 libstanford-orange-sendmail-perl,
 libstanford-workgroupxml-perl,
 libswitch-perl,
 libconfig-inifiles-perl,
 libmime-lite-perl,
 libemail-address-perl,
 libhtml-formattext-withlinks-perl,
 ldap-utils,
 libstanford-workgroupxml-perl,
 perl-doc,
 remctl-client,
 stanford-web-template
Conflicts: stanford-server-tools
Description: Stanford mail-related tools webapps
 Contains the Stanford Shared Email request form webapp, and the Stanford
 Webmail webapp. Includes some management scripts in /usr/sbin.
